This page documents the canonical HTTP contract for this endpoint.
Path parameters
table_idrequiredstring
The table ID.
| Name | Type | Description |
|---|---|---|
| table_idrequired | string | The table ID. |
Body parameters
name· optionalstring
New table name; command validation trims and rejects blank strings, but this route does not catch the command-model validation exception.
metadata· optionalobject
Replace metadata; this is not merged with the previous object.
tableContract· optionalResearchTableContractV1
Optional validated Research Table contract; see create-table definition.
| Name | Type | Description |
|---|---|---|
| name | string | New table name; command validation trims and rejects blank strings, but this route does not catch the command-model validation exception. |
| metadata | object | Replace metadata; this is not merged with the previous object. |
| tableContract | ResearchTableContractV1 | Optional validated Research Table contract; see create-table definition. |
Errors
| Status | Meaning |
|---|---|
| 401 | Invalid API key or missing auth. |
| 403 | Access denied. |
| 404 | Table not found. |
